Package org.apache.commons.imaging.formats.tiff.constants

## Enum TiffPlanarConfiguration

- java.lang.Object
- - java.lang.Enum<TiffPlanarConfiguration>
  - - org.apache.commons.imaging.formats.tiff.constants.TiffPlanarConfiguration

- All Implemented Interfaces:
    `Serializable`, `Comparable<TiffPlanarConfiguration>`

      public enum TiffPlanarConfiguration
      extends Enum<TiffPlanarConfiguration>

  Defines options for the organization of data in a TIFF file.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CHUNKY` | Indicates that data is stored in an interleaved format, so that component values for each pixel are contiguous in the file.
    `PLANAR` | Indicates that data is stored in a non-interleaved format, component values for each pixel are separated into distinct planes.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `codeValue` | The integer code values used for indicating the planar configuration in a TIFF file.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TiffPlanarConfiguration` | `lenientValueOf​(int codeValue)` | Interprets an integer code value to determine the enumerated value.
    `static TiffPlanarConfiguration` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TiffPlanarConfiguration[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHUNKY

          public static final TiffPlanarConfiguration CHUNKY

      Indicates that data is stored in an interleaved format, so that component values for each pixel are contiguous in the file.

    - #### PLANAR

          public static final TiffPlanarConfiguration PLANAR

      Indicates that data is stored in a non-interleaved format, component values for each pixel are separated into distinct planes.

  - ### Field Detail

    - #### codeValue

          public final int codeValue

      The integer code values used for indicating the planar configuration in a TIFF file.

  - ### Method Detail

    - #### values

          public static TiffPlanarConfiguration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TiffPlanarConfiguration c : TiffPlanarConfiguration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TiffPlanarConfiguration valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### lenientValueOf

          public static TiffPlanarConfiguration lenientValueOf​(int codeValue)

      Interprets an integer code value to determine the enumerated value. Implements lenient rules for handling non-compliant values.
      Parameters:
        `codeValue` - an integer code corresponding to the TIFF specification.
      Returns:
        a valid enumeration.